Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.ocr.OCRSettingData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| OCRSettingData ()
| Constructor.
| OCRSettingData (PDFDoc pdf_doc, Range page_range, bool is_editable, OCRConfig ocr_config)
| Constructor, with parameters. More...
void | Set (PDFDoc pdf_doc, Range page_range, bool is_editable, OCRConfig ocr_config)
| Set value. More...

## Properties
bool | is_editable`[get, set]`
| Decide whether the OCR result is editable. true means the OCR result is editable. false means the OCR result can only be searched but not be edited.
OCRConfig? | ocr_config`[get, set]`
| The OCRConfig object.
Range? | page_range`[get, set]`
| The range of pages that need to be OCR.
PDFDoc? | pdf_doc`[get, set]`
| A valid PDF document that need to be OCR.

## Detailed Description

This class represents setting data used for OCR.

## Constructor & Destructor Documentation

## ◆ OCRSettingData()

foxit.addon.ocr.OCRSettingData.OCRSettingData | ( | PDFDoc | pdf_doc,
|  | Range | page_range,
|  | bool | is_editable,
|  | OCRConfig | ocr_config
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document.
  [in] | page_range | The range of pages that need to be OCR.
  [in] | is_editable | true means the OCR result is editable, false means the OCR result can only be searched but not be edited.
  [in] | ocr_config | The OCRConfig object.

## Member Function Documentation

## ◆ Set()

void foxit.addon.ocr.OCRSettingData.Set | ( | PDFDoc | pdf_doc,
|  | Range | page_range,
|  | bool | is_editable,
|  | OCRConfig | ocr_config
| ) |  |
| inline

Set value.

Parameters

  [in] | pdf_doc | A valid PDF document.
  [in] | page_range | The range of pages that need to be OCR.
  [in] | is_editable | true means the OCR result is editable, false means the OCR result can only be searched but not be edited.
  [in] | ocr_config | The OCRConfig object.

Returns
  None.